List available camera type of subscriptions
curl --request GET \
--url https://apigw.bienport.com/api/subscription/cam-list/{organizationId} \
--header 'Authorization: <authorization>' \
--header 'OrganizationId: <organizationid>'import requests
url = "https://apigw.bienport.com/api/subscription/cam-list/{organizationId}"
headers = {
"Authorization": "<authorization>",
"OrganizationId": "<organizationid>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: '<authorization>', OrganizationId: '<organizationid>'}
};
fetch('https://apigw.bienport.com/api/subscription/cam-list/{organizationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "123532",
"type": "<string>",
"documentNumber": "ABN-30514",
"name": "F.KA***",
"status": "Active",
"characteristic": [
{
"name": "CAMPAIGN",
"valueType": "String",
"value": "İLK 9 AY %50"
},
{
"name": "MONTAGEADRESS",
"valueType": "String",
"value": "***"
},
{
"name": "MONTAGECOUNTY",
"valueType": "String",
"value": "KONAK"
},
{
"name": "MONTAGECITY",
"valueType": "String",
"value": "İZMİR"
},
{
"name": "MONTAGE_DATE",
"valueType": "Date",
"value": null
},
{
"name": "TOTAL_PAST_DUE_INSTALMENT",
"valueType": "Float",
"value": "0.0"
},
{
"name": "PANELBRAND",
"valueType": "String",
"value": null
},
{
"name": "PANELMODEL",
"valueType": "String",
"value": null
},
{
"name": "PANELNO",
"valueType": "String",
"value": null
},
{
"name": "RESOURCE_ID",
"valueType": "Long",
"value": 23145
},
{
"name": "SALESEMP",
"valueType": "String",
"value": "***"
},
{
"name": "STAGE",
"valueType": "String",
"value": "1 - Kayıt"
}
],
"completionDate": {
"endDateTime": "2022-08-16T00:00:00.000Z",
"startDateTime": "2021-08-16T00:00:00.000Z"
},
"engagedParty": [
{
"name": "<string>",
"id": "456789"
}
]
}
]{
"statusCode": 123,
"error": "***Exception",
"message": "Message about the error",
"path": "/api/example/path"
}{
"statusCode": 123,
"error": "***Exception",
"message": "Message about the error",
"path": "/api/example/path"
}This response has no body data.{
"statusCode": 123,
"error": "***Exception",
"message": "Message about the error",
"path": "/api/example/path"
}{
"statusCode": 123,
"error": "***Exception",
"message": "Message about the error",
"path": "/api/example/path"
}List available camera type of subscriptions
list of subscriptions where resourceId = null, type = camera*
GET
/
subscription
/
cam-list
/
{organizationId}
List available camera type of subscriptions
Path Parameters
organizationId
Response
List of camera Agreement returns.
Example:
"123532"
Example:
"ABN-30514"
Example:
"F.KA***"
Available options:
Passive, Active Example:
"Active"
Show child attributes
Show child attributes
Example:
[
{
"name": "CAMPAIGN",
"valueType": "String",
"value": "İLK 9 AY %50"
},
{
"name": "MONTAGEADRESS",
"valueType": "String",
"value": "***"
},
{
"name": "MONTAGECOUNTY",
"valueType": "String",
"value": "KONAK"
},
{
"name": "MONTAGECITY",
"valueType": "String",
"value": "İZMİR"
},
{
"name": "MONTAGE_DATE",
"valueType": "Date",
"value": null
},
{
"name": "TOTAL_PAST_DUE_INSTALMENT",
"valueType": "Float",
"value": "0.0"
},
{
"name": "PANELBRAND",
"valueType": "String",
"value": null
},
{
"name": "PANELMODEL",
"valueType": "String",
"value": null
},
{
"name": "PANELNO",
"valueType": "String",
"value": null
},
{
"name": "RESOURCE_ID",
"valueType": "Long",
"value": 23145
},
{
"name": "SALESEMP",
"valueType": "String",
"value": "***"
},
{
"name": "STAGE",
"valueType": "String",
"value": "1 - Kayıt"
}
]
A period of time, either as a deadline (endDateTime only) a startDateTime only, or both
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I